summaryrefslogtreecommitdiffstats
path: root/dehydrated
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2022-07-04 17:13:53 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2022-07-04 17:13:53 +0000
commit38f7d341696ecc7c8a312a7c576a637a8e5adf69 (patch)
treeb322aacaf76f333a85d6f81203ede7ef0fbde6d4 /dehydrated
parentReleasing debian version 20220626-1. (diff)
downloadopen-infrastructure-service-tools-38f7d341696ecc7c8a312a7c576a637a8e5adf69.tar.xz
open-infrastructure-service-tools-38f7d341696ecc7c8a312a7c576a637a8e5adf69.zip
Merging upstream version 20220704.
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'dehydrated')
-rwxr-xr-xdehydrated/share/hooks/deploy_cert.privkey-fullchain28
-rwxr-xr-xdehydrated/share/hooks/deploy_ocsp.privkey-fullchain27
2 files changed, 55 insertions, 0 deletions
diff --git a/dehydrated/share/hooks/deploy_cert.privkey-fullchain b/dehydrated/share/hooks/deploy_cert.privkey-fullchain
new file mode 100755
index 0000000..bd2c4a0
--- /dev/null
+++ b/dehydrated/share/hooks/deploy_cert.privkey-fullchain
@@ -0,0 +1,28 @@
+#!/bin/sh
+
+# Open Infrastructure: service-tools
+
+# Copyright (C) 2014-2022 Daniel Baumann <daniel.baumann@open-infrastructure.net>
+#
+# SPDX-License-Identifier: GPL-3.0+
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <https://www.gnu.org/licenses/>.
+
+set -e
+
+DIRECTORY="$(dirname "${FULLCHAINFILE}")"
+FILE="cert.privkey-fullchain-${TIMESTAMP}.pem"
+
+cat "${KEYFILE}" "${FULLCHAINFILE}" > "${DIRECTORY}/${FILE}"
+ln -sf "${FILE}" "${DIRECTORY}/cert.privkey-fullchain.pem"
diff --git a/dehydrated/share/hooks/deploy_ocsp.privkey-fullchain b/dehydrated/share/hooks/deploy_ocsp.privkey-fullchain
new file mode 100755
index 0000000..d0dacf1
--- /dev/null
+++ b/dehydrated/share/hooks/deploy_ocsp.privkey-fullchain
@@ -0,0 +1,27 @@
+#!/bin/sh
+
+# Open Infrastructure: service-tools
+
+# Copyright (C) 2014-2022 Daniel Baumann <daniel.baumann@open-infrastructure.net>
+#
+# SPDX-License-Identifier: GPL-3.0+
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <https://www.gnu.org/licenses/>.
+
+set -e
+
+FILE="$(readlink "${OCSPFILE}")"
+DIRECTORY="$(dirname "${OCSPFILE}")"
+
+ln -sf "${FILE}" "${DIRECTORY}/cert.privkey-fullchain.pem.ocsp"